Create a new bind file for a topology
POST
/topologies/{topologyId}/files
const url = 'https://antimony.example.com/api/topologies/example/files';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"content":"example","filePath":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://antimony.example.com/api/topologies/example/files \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "content": "example", "filePath": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”topologyId
required
string
The ID of the topology the bind file should belong to
Request Body
Section titled “Request Body”The bind file
Media typeapplication/json
object
content
required
string
filePath
required
string
Example generated
{ "content": "example", "filePath": "example"}Responses
Section titled “Responses”The ID of the newly created file
Media typeapplication/json
object
payload
string
Example generated
{ "payload": "example"}The user isn’t authorized
Media typeapplication/json
Access to the resource was denied. Details in the request body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json